Subject: Re: Legacy ISA registers/interrupts in PCI device tree node

From: "Gerhard Pircher" <[email-masked]>
Date: Mon, 16 Jul 2007 15:29:02 +0200

-------- Original-Nachricht --------
Datum: Mon, 16 Jul 2007 14:40:48 +0200
Von: Segher Boessenkool <[email-masked]>
An: Gerhard Pircher <[email-masked]>
CC: [email-masked]
Betreff: Re: Legacy ISA registers/interrupts in PCI device tree node

> > I wonder, if there is a recommended way to specify ISA register  
> > addresses and interrupts for a PCI device (unlike for a PCI2ISA
> > bridge)?
> 
> The PCI binding describes the required way to do this.
Hmm, I must reread the PCI binding spec. It didn't seem to contain any
information about this.

> Yes, it should, even if you don't use this in the Linux
> kernel yet.
Well, I still have to wire up the IDE interrupts in the platform setup
code, right?

Gerhard
-- 
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten 
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser